Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/listening/getlisteningartist

# Artist detail

GET `https://api.rewind.rest/v1/listening/artists/{id}`

Returns detailed information about an artist including top albums and tracks.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### id (path, string, required)

## Response

#### 200

Artist detail

#### id (number, required)

#### name (string, required)

#### mbid (string, required)

#### url (string, required)

#### apple\_music\_url (string, required)

#### playcount (number, required)

#### scrobble\_count (number, required)

#### first\_scrobbled\_at (string, required)

#### last\_played\_at (string, required)

#### all\_time\_rank (number, required)

#### distinct\_tracks (number, required)

#### distinct\_albums (number, required)

#### genre (string, required)

#### tags (array of object, required)

#### bio\_summary (string, required)

#### bio\_content (string, required)

#### bio\_synced\_at (string, required)

#### image (object)

#### sparkline (object, required)

#### properties

#### granularity (enum (string), required) — allowed: day, week, month, year

#### points (array of object, required)

#### top\_albums (array of object, required)

#### properties

#### id (number, required)

#### name (string, required)

#### playcount (number, required)

#### apple\_music\_url (string, required)

#### image (object)

#### top\_tracks (array of object, required)

#### properties

#### id (number, required)

#### name (string, required)

#### album\_id (number, required)

#### album\_name (string, required)

#### scrobble\_count (number, required)

#### apple\_music\_url (string, required)

#### preview\_url (string, required)

#### image (object)

#### similar\_artists (array of object, required)

#### properties

#### id (number, required)

#### name (string, required)

#### genre (string, required)

#### your\_scrobble\_count (number, required)

#### similarity\_score (number, required)

#### image (object)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 404

Not found

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/listening/artists/{id}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/listening/artists/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/listening/artists/{id}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "id": 0,
  "name": "string",
  "mbid": "string",
  "url": "string",
  "apple_music_url": "string",
  "playcount": 0,
  "scrobble_count": 0,
  "first_scrobbled_at": "string",
  "last_played_at": "string",
  "all_time_rank": 0,
  "distinct_tracks": 0,
  "distinct_albums": 0,
  "genre": "string",
  "tags": [
    {
      "name": "Rock",
      "count": 100
    }
  ],
  "bio_summary": "string",
  "bio_content": "string",
  "bio_synced_at": "string",
  "image": {},
  "sparkline": {
    "granularity": "day",
    "points": [
      {
        "at": "\u2026",
        "count": "\u2026"
      }
    ]
  },
  "top_albums": [
    {
      "id": 0,
      "name": "string",
      "playcount": 0,
      "apple_music_url": "string",
      "image": {}
    }
  ],
  "top_tracks": [
    {
      "id": 0,
      "name": "string",
      "album_id": 0,
      "album_name": "string",
      "scrobble_count": 0,
      "apple_music_url": "string",
      "preview_url": "string",
      "image": {}
    }
  ],
  "similar_artists": [
    {
      "id": 0,
      "name": "string",
      "genre": "string",
      "your_scrobble_count": 0,
      "similarity_score": 0,
      "image": {}
    }
  ]
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 404
{
  "error": "Not found",
  "status": 404
}
```
